darcs

Issue 1705 darcs show contents --index=1 darcs.cabal fails.

Title darcs show contents --index=1 darcs.cabal fails.
Priority bug Status resolved
Milestone Resolved in 2.8.0
Superseder Nosy List darcs-devel, dmitry.kurochkin, kowey, thomashartman1
Assigned To thomashartman1
Topics

Created on 2009-11-24.22:00:57 by tphyahoo, last changed 2011-12-29.16:51:21 by noreply.

Files
File name Uploaded Type Edit Remove
failing-issue1705.sh thomashartman1, 2009-12-11.21:49:56 application/x-shellscript
failing-test-for-bug-1705.dpatch thomashartman1, 2009-12-12.00:46:43 text/x-darcs-patch
showContentsHeadIndexIssue1075.sh tphyahoo, 2009-11-24.23:44:33 application/x-sh
Messages
msg9490 (view) Author: thomashartman1 Date: 2009-11-24.22:00:54
darcs.net> darcs show contents --index=1 darcs.cabal

darcs: Maybe.fromJust: Nothing

The following change fixes the above bug but I am not sure if it doesn't break
something else, becasue I don't understand what have_nonrange_match is supposed
to be doing

darcs.net>darcs diff
Reading pristine 25 done, 495 queued.
diff -rN old-darcs.net/src/Darcs/Match.lhs new-darcs.net/src/Darcs/Match.lhs
116c116
< have_nonrange_match fs = isJust (has_index_range fs) || isJust
(nonrange_matcher fs::Maybe (Matcher Patch))
---
> have_nonrange_match fs = {-isJust (has_index_range fs) || -} isJust
(nonrange_matcher fs::Maybe (Matcher Patch))
msg9491 (view) Author: thomashartman1 Date: 2009-11-24.23:44:33
so, that last comment was not a fix, I think it just ignores the index flag. not
sure what's needed for a fix, but attached is a test.
Attachments
msg9577 (view) Author: kowey Date: 2009-12-09.16:10:07
Thanks Thomas.  Could you turn this into a standard regression test and send the
test as a patch?

http://wiki.darcs.net/Development/RegressionTests

Thanks!

Note that I intend to merge the users thomashartman1 tphyahoo and tphyahoo on
this tracker...
msg9598 (view) Author: thomashartman1 Date: 2009-12-11.21:49:56
failing test attached.
Attachments
msg9603 (view) Author: kowey Date: 2009-12-12.00:43:05
On Fri, Dec 11, 2009 at 21:49:58 +0000, Thomas Hartman wrote:
> failing test attached.

Thanks.  Please just darcs send it.

Patch name convention would make it something like

  "Accept issue1705: darcs show contents --index=1 file fails"

-- 
Eric Kow <http://www.nltg.brighton.ac.uk/home/Eric.Kow>
PGP Key ID: 08AC04F9
msg9604 (view) Author: thomashartman1 Date: 2009-12-12.00:46:43
yep, attached.

On Fri, Dec 11, 2009 at 4:43 PM, Eric Kow <bugs@darcs.net> wrote:
>
> Eric Kow <kowey@darcs.net> added the comment:
>
> On Fri, Dec 11, 2009 at 21:49:58 +0000, Thomas Hartman wrote:
>> failing test attached.
>
> Thanks.  Please just darcs send it.
>
> Patch name convention would make it something like
>
>  "Accept issue1705: darcs show contents --index=1 file fails"
>
> --
> Eric Kow <http://www.nltg.brighton.ac.uk/home/Eric.Kow>
> PGP Key ID: 08AC04F9
>
> __________________________________
> Darcs bug tracker <bugs@darcs.net>
> <http://bugs.darcs.net/issue1705>
> __________________________________
>



-- 
Need somewhere to put your code? http://patch-tag.com
Want to build a webapp? http://happstack.com
Attachments
msg9605 (view) Author: kowey Date: 2009-12-12.00:59:15
On Sat, Dec 12, 2009 at 00:46:46 +0000, Thomas Hartman wrote:
> yep, attached.

Could you please send that to patches@darcs.net?

You don't need to attach it by hand; just use the darcs send command
and it will magically go to the right place.  Thanks!

-- 
Eric Kow <http://www.nltg.brighton.ac.uk/home/Eric.Kow>
PGP Key ID: 08AC04F9
msg14904 (view) Author: noreply Date: 2011-12-29.13:18:40
The following patch sent by Eric Kow <kowey@darcs.net> updated issue issue1705 with
status=has-patch

* Resolve issue1705: show contents --index fixed by Owen. 
Ignore-this: 2a28f473146fe1d0d93db6baeda9c8ef

I'm guesssing this is the fix:
Wed Jun 29 12:57:16 BST 2011  Owen Stephens <darcs@owenstephens.co.uk>
  * Fix error with unhandled --index in show contents
msg14908 (view) Author: noreply Date: 2011-12-29.16:51:20
The following patch sent by Eric Kow <kowey@darcs.net> updated issue issue1705 with
status=resolved;resolvedin=2.8.0 HEAD

* Resolve issue1705: show contents --index fixed by Owen. 
Ignore-this: 2a28f473146fe1d0d93db6baeda9c8ef

I'm guesssing this is the fix:
Wed Jun 29 12:57:16 BST 2011  Owen Stephens <darcs@owenstephens.co.uk>
  * Fix error with unhandled --index in show contents
History
Date User Action Args
2009-11-24 22:00:57tphyahoocreate
2009-11-24 23:44:35tphyahoosetfiles: + showContentsHeadIndexIssue1075.sh
messages: + msg9491
2009-12-09 16:10:11koweysetpriority: bug
status: unknown -> needs-reproduction
messages: + msg9577
nosy: + kowey, thomashartman1
assignedto: thomashartman1
2009-12-09 16:18:23adminsetnosy: - tphyahoo
2009-12-11 21:49:58thomashartman1setfiles: + failing-issue1705.sh
messages: + msg9598
2009-12-12 00:43:08koweysetmessages: + msg9603
2009-12-12 00:46:46thomashartman1setfiles: + failing-test-for-bug-1705.dpatch
messages: + msg9604
2009-12-12 00:59:17koweysetmessages: + msg9605
2011-12-29 13:18:40noreplysetstatus: needs-reproduction -> has-patch
messages: + msg14904
2011-12-29 16:51:21noreplysetstatus: has-patch -> resolved
messages: + msg14908
resolvedin: 2.8.0